﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="ImageEditor_hideToolsAfterSaving.aspx.cs"
	Inherits="ImageEditor_hideToolsAfterSaving" debug="true"%>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
	<title></title>
	<telerik:RadCodeBlock ID="codeblock1" runat="server">
	</telerik:RadCodeBlock>
</head>
<body>
	<form id="form1" runat="server">
	<telerik:RadScriptManager ID="RadScriptManager1" runat="server">
	</telerik:RadScriptManager>

	<telerik:RadAjaxManager ID="RadAjaxManager1" runat="server" OnAjaxRequest="RadAjaxManager1_AjaxRequest">
		<AjaxSettings>
			<telerik:AjaxSetting AjaxControlID="RadAjaxManager1">
				<UpdatedControls>
					<telerik:AjaxUpdatedControl ControlID="annotationImageEditor" />
				</UpdatedControls>
			</telerik:AjaxSetting>
		</AjaxSettings>
	</telerik:RadAjaxManager>

	<telerik:RadImageEditor ID="annotationImageEditor" runat="server" 
		___OnImageLoading="annotationImageEditor_ImageLoading"
		___OnDialogLoading="annotationImageEditor_DialogLoading" 
		OnClientSaved="hideTools"
		Width="500px" Height="500px" ImageUrl="Koala.jpg">
		<Tools>
			<telerik:ImageEditorToolGroup>
				<telerik:ImageEditorTool CommandName="Reset" ToolTip="Clear" />
				<telerik:ImageEditorTool CommandName="Save" ToolTip="Save Image" />
				<telerik:ImageEditorToolSeparator />
				<telerik:ImageEditorTool CommandName="AddText" ToolTip="Add text" />
				<telerik:ImageEditorTool CommandName="StampArrowDialog" ImageUrl="arrow-down-hover.png" />
				<telerik:ImageEditorTool CommandName="StampStatusDialog" ImageUrl="arrow-down-hover.png" />
				<telerik:ImageEditorTool CommandName="StampPatient" ImageUrl="arrow-down-hover.png" />
			</telerik:ImageEditorToolGroup>
		</Tools>
	</telerik:RadImageEditor>
	<telerik:RadScriptBlock runat="server">
	<script type="text/javascript">
		function hideTools() {
			$find("<%=RadAjaxManager1.ClientID%>").ajaxRequest("hideImageEditorTools");
		}
	</script>
	</telerik:RadScriptBlock>
	</form>
</body>
</html>
