﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;

public partial class ImageEditor_hideToolsAfterSaving : System.Web.UI.Page
{
	protected void Page_Load(object sender, EventArgs e)
	{
		
	}

	protected void RadAjaxManager1_AjaxRequest(object sender, AjaxRequestEventArgs e)
	{
		if (e.Argument == "hideImageEditorTools")
		{
			ImageEditorToolGroupCollection tools = annotationImageEditor.Tools;
			foreach (ImageEditorToolGroup group in tools)
			{
				foreach (var tool in group.GetAllTools())
				{
					ImageEditorTool currentTool = tool as ImageEditorTool;

					if (currentTool != null && (currentTool.CommandName == "StampArrowDialog" || currentTool.CommandName == "StampStatusDialog" || currentTool.CommandName == "StampPatient"))
						group.Tools.Remove(tool);
				}
			}
		}
	}

}